// #autoload
// #name = HalQuit
// #version = 1.4
// #date = April 9, 2002
// #author = Halide
// #warrior = Halide
// #email = halide@popmail.com
// #web = http://halides.tribes-universe.com/
// #description = Single key to quit or disconnect.
// #category = Halide's Scripts

// START package HalQuit
package HalQuit
{

	function OptionsDlg::onWake(%this)
	{
		if(!$HalQuitBind)
		{
			$RemapName[$RemapCount] = "HalQuit";
			$RemapCmd[$RemapCount] = "HalQuit";
			$RemapCount++;
			$RemapName[$RemapCount] = "HalDisconnect";
			$RemapCmd[$RemapCount] = "HalDisconnect";
			$RemapCount++;
			$HalQuitBind = true;
		}

		parent::onWake(%this);
	}

	function clientCmdSetDefaultVehicleKeys(%inVehicle)
	{
	   	parent::clientCmdSetDefaultVehicleKeys(%inVehicle);
	   	
		if (%inVehicle)
		{
			passengerKeys.copyBind(moveMap, HalQuit);
			passengerKeys.copyBind(moveMap, HalDisconnect);
		}
   	}

	function HalQuit(%val)
	{
		if(%val)
			quit();
	}

	function HalDisconnect(%val)
	{
		if(%val)
			disconnect();
	}

// END package HalQuit
};
activatePackage(HalQuit);